> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sample Helper Request

> Retrieve details of a conversion using `task_id` or `conversion_id`.



## OpenAPI

````yaml GET /v1/byId
openapi: 3.1.0
info:
  title: WAV API
  version: 1.0.0
  description: API for retrieving conversion details by ID.
servers:
  - url: https://api.wav.com/api/public
    description: Production server
security: []
paths:
  /v1/byId:
    get:
      summary: Get Conversion by ID
      description: Retrieve details of a conversion using `task_id` or `conversion_id`.
      parameters:
        - name: conversionType
          in: query
          required: true
          schema:
            type: string
            enum:
              - MUSIC_AI
              - TEXT_TO_SPEECH
              - VOICE_CONVERSION
              - EXTRACTION
              - COVER
              - STEMS_SEPARATION
              - VOCAL_EXTRACTION
              - DENOISING
              - DEECHO
              - DEREVERB
              - SOUND_GENERATOR
              - AUDIO_TRANSCRIPTION
              - AUDIO_SPEED_CHANGER
              - AUDIO_MASTERING
              - AUDIO_CUTTER
              - REMIX
              - FILE_CONVERT
              - KEY_BPM_EXTRACTION
              - AUDIO_TO_MIDI
              - EXTEND
              - INPAINT
              - SING_OVER_INSTRUMENTAL
              - LYRICS_GENERATOR
          description: The type of Conversion you want to get your details from.
          example: MUSIC_AI
        - name: task_id
          in: query
          required: false
          schema:
            type: string
          description: |-
            Task ID associated with the conversion. 
             **Note:** You must provide either `task_id` or `conversion_id`, but not both.
          example: 12345678-abcd-1234-efgh-567890abcdef
        - name: conversion_id
          in: query
          required: false
          schema:
            type: string
          description: |-
            Conversion ID to fetch details. 
             **Note:** You must provide either `task_id` or `conversion_id`, but not both.
          example: 87654321-dcba-4321-hgfe-098765fedcba
      responses:
        '200':
          description: Successfully retrieved conversion details
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  conversion:
                    type: object
                    properties:
                      task_id:
                        type: string
                      feature:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                      webhook_url:
                        type: string
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      conversion_id_1:
                        type: string
                      conversion_id_2:
                        type: string
                      title_1:
                        type: string
                      lyrics_1:
                        type: string
                      sounds_1:
                        type: string
                      conversion_path_1:
                        type: string
                      album_cover_path:
                        type: string
                      lyrics_timestamped_1:
                        type: string
                      conversion_duration_1:
                        type: number
                        format: float
                      conversion_path_wav_1:
                        type: string
                      is_streaming_request:
                        type: boolean
                      album_cover_thumbnail:
                        type: string
                      is_streaming_available:
                        type: boolean
                      generation_completed_at:
                        type: string
                      title_2:
                        type: string
                      lyrics_2:
                        type: string
                      sounds_2:
                        type: string
                      conversion_path_2:
                        type: string
                      lyrics_timestamped_2:
                        type: string
                      conversion_duration_2:
                        type: number
                        format: float
                      conversion_path_wav_2:
                        type: string
              example:
                success: true
                conversion:
                  task_id: 15b6437f-e3af-5b5d-b2f4-14cb141f313a
                  feature: MUSIC_AI
                  status: COMPLETED
                  message: Audio conversion completed
                  webhook_url: https://example.com/webhook
                  createdAt: '2026-08-17T17:07:40.557077+00:00'
                  updatedAt: '2026-08-17T17:11:35.746277+00:00'
                  conversion_id_1: 5400f093-4321-56ab-84df-6630f448ff52
                  conversion_id_2: ac5e80ee-504c-58c4-b028-265effb05ff7
                  title_1: Sugar Cup
                  lyrics_1: ..
                  sounds_1: ''
                  conversion_path_1: >-
                    https://cdn1.wav.com/conversions/api/standard/5400f093-4321-56ab-84df-6630f448ff52/5400f093-4321-56ab-84df-6630f448ff52.mp3
                  album_cover_path: >-
                    https://cdn1.wav.com/img-gen-pipeline/api/15b6437f-e3af-5b5d-b2f4-14cb141f313a.jpg
                  lyrics_timestamped_1: ...
                  conversion_duration_1: 208.28
                  conversion_path_wav_1: >-
                    https://cdn1.wav.com/conversions/api/hq/5400f093-4321-56ab-84df-6630f448ff52/5400f093-4321-56ab-84df-6630f448ff52.wav
                  is_streaming_request: true
                  album_cover_thumbnail: >-
                    https://cdn1.wav.com/img-gen-pipeline/api/15b6437f-e3af-5b5d-b2f4-14cb141f313a_thumb.jpg
                  is_streaming_available: true
                  generation_completed_at: 2026-08-17 17:11:27.054 +0000
                  title_2: Sugar Cup
                  lyrics_2: ...
                  sounds_2: ''
                  conversion_path_2: >-
                    https://cdn1.wav.com/conversions/api/standard/ac5e80ee-504c-58c4-b028-265effb05ff7/ac5e80ee-504c-58c4-b028-265effb05ff7.mp3
                  lyrics_timestamped_2: ...
                  conversion_duration_2: 247.84
                  conversion_path_wav_2: >-
                    https://cdn1.wav.com/conversions/api/hq/ac5e80ee-504c-58c4-b028-265effb05ff7/ac5e80ee-504c-58c4-b028-265effb05ff7.wav
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
              example:
                success: false
                message: Invalid request parameters
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````